
Foreman - Bug #187

Reserved chars in facts

03/23/2010 01:50 PM - Dis Connect

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Spaces break the query interface (fixed with Ohad's patch, below) but dash is still reserved:

gethosts({"fact"=>{"productname"=>"Not Specified"}})

- returns a host count

gethosts({"fact"=>{"ps"=>"ps -ef"}})

- returns a 500 error, generates a url like "http://puppet:3000/hosts/query?fact[]=ps-ps%20-ef&&format=yml"

Even with fixed regex there is still no way to query for fact "foo-bar", esp if there is also a fact "foo".

Associated revisions

Revision 5539907c - 03/25/2010 02:03 PM - Ohad Levy

fixes #187 - Reserved chars in facts

History

#1 - 03/25/2010 02:04 PM - Ohad Levy

- Category set to 19

- Assignee set to Ohad Levy

- Target version set to 0.1-5

#2 - 03/25/2010 02:06 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 5539907cfad4c2c87577284facb70caf73ca47a8.

#3 - 03/25/2010 02:28 PM - Dis Connect

Looks good with my testcase:

irb(main):003:0> gethosts({"fact"=>{"ps"=>"ps -ef"}}).length

=> 183

Hopefully nobody uses separator anywhere tho :)

#4 - 03/25/2010 02:47 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 10/16/2018 01:31 PM - Tomer Brisker

- Category changed from 19 to Search
